Subject: Re: strange network performance degradation 2.6.8-rc3-mm1 -> 2.6.8-rc4-mm1

From: Jurriaan <[email-masked]>
Date: Sun, 15 Aug 2004 07:54:55 +0200

From: Francois Romieu <[email-masked]>
Date: Sat, Aug 14, 2004 at 09:27:40PM +0200
> Jurriaan <[email-masked]> :
> [...]
> > Indeed they do. Both with -10 and with -10+-20 added on my working
> > 2.6.8-rc4-mm1 the booting process hangs somewhere while iptables is
> > installing my ipv6 firewall. This is reproducable, I've not tried to
> > install my firewall by hand after booting (call me paranoid).
> > 
> > Thus:
> > 
> > 2.6.8-rc4-mm1: boots, slow network
> > 2.6.8-rc4-mm1 + 8139too-mm-revert: boots, fast network
> > 2.6.8-rc4-mm1 + 8139too-mm-revert + 8139too-10: doesn't boot
> > 2.6.8-rc4-mm1 + 8139too-mm-revert + 8139too-10 + 8139too-20: doesn't boot
> 
> Thanks. Erm... not exactly what I had expected.
> 
> Could you return to 2.6.8-rc4-mm1 + 8139too-mm-revert.patch and try each
> of the three patches attached ?
> 
patch #1 boots
patch #2 doesn't boot
patch #3 boots

btw, if I shut off my ipv6 firewall, patch #2 hangs in the ntpupdate
script, so it looks like the network card is hanging the system on first
actual use with #2.

Kind regards,
Jurriaan
-- 
Well, let's just say, 'if your VCR is still blinking 12:00,
you don't want Linux'.
	Bruce Perens, Debian's Fearless Leader
Debian (Unstable) GNU/Linux 2.6.8-rc4-mm1 2x6078 bogomips load 0.34